Bug 1585132 - RHEV api v4 host creation: undefined method `clusters'
Summary: RHEV api v4 host creation: undefined method `clusters'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.4.0
Assignee: orabin
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-01 10:26 UTC by Lukáš Hellebrandt
Modified: 2019-11-05 23:22 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-fog-ovirt-1.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:53:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
v4_production.log (21.57 KB, text/plain)
2018-06-01 10:28 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 23815 0 None None None 2018-06-05 11:56:39 UTC
Red Hat Bugzilla 1585092 0 unspecified CLOSED RHEV host creation: undefined method '#params' 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1587905 0 unspecified CLOSED RHEV API v4 VM Import: undefined method `update_vm' 2021-08-03 19:14:16 UTC

Internal Links: 1585092 1587905

Description Lukáš Hellebrandt 2018-06-01 10:26:22 UTC
Description of problem:
When creating a host on RHEV using API v4 through CLI, the traceback appears in production.log (attached), error is displayed and the machine is not created. This is somewhat similar to bug 1585092, but:
1) only applies to CLI (read: I don't know how to reproduce using WUI)
2) applies both to image based and network based hosts
3) the machine is not created in the end
This error also happens sooner and if workarounded, bug 1585092 still appears.

Version-Release number of selected component (if applicable):
Sat 6.4 snap 5

How reproducible:
Deterministic

Steps to Reproduce:
# hammer host create --architecture x86_64 --compute-profile-id 1 --compute-resource-id 1 --content-source-id 1 --content-view-id 1 --domain-id 2 --environment-id 1 --interface compute_network=a1f9eb04-9b92-4940-b65f-1ba87adf9cb5,mac=00:1a:4a:16:01:a8,ip=192.168.1.111,managed=true,primary=true,provision=true --ip 192.168.1.111 --lifecycle-environment-id 1 --location-id 2 --mac 00:1a:4a:16:01:a8 --name host-hammer-image-based-apiv4 --operatingsystem-id 1 --organization-id 1 --partition-table-id 1 --product-id 13 --root-password toortoor --subnet-id 1 --kickstart-repository-id 2

or image based

# hammer host create --architecture x86_64 --compute-profile-id 1 --compute-resource-id 1 --content-source-id 1 --content-view-id 1 --domain-id 2 --environment-id 1 --interface compute_network=a1f9eb04-9b92-4940-b65f-1ba87adf9cb5,mac=00:1a:4a:16:01:a8,ip=192.168.1.111,managed=true,primary=true,provision=true --ip 192.168.1.111 --lifecycle-environment-id 1 --location-id 2 --mac 00:1a:4a:16:01:a8 --name host-hammer-image-based-apiv4 --operatingsystem-id 1 --organization-id 1 --partition-table-id 1 --product-id 13 --provision-method image --root-password toortoor --subnet-id 1 --image-id 2

Actual results:
Could not create the host:
  Failed to create a compute rhev3 (RHV) instance host-hammer-image-based-apiv4.example.com: undefined method `clusters' for "5aaaaa41-035d-0157-0166-00000000030b":String

Expected results:
No traceback, no error, host created

Comment 1 Lukáš Hellebrandt 2018-06-01 10:28:32 UTC
Created attachment 1446648 [details]
v4_production.log

Comment 3 orabin 2018-06-05 11:56:37 UTC
Created redmine issue http://projects.theforeman.org/issues/23815 from this bug

Comment 4 Satellite Program 2018-06-05 12:11:48 UTC
Upstream bug assigned to orabin@redhat.com

Comment 5 Satellite Program 2018-06-05 12:11:50 UTC
Upstream bug assigned to orabin@redhat.com

Comment 7 Lukáš Hellebrandt 2018-07-17 09:38:44 UTC
Verified with Sat 6.4 snap 12. Used steps from OP.

Comment 8 Bryan Kearney 2018-10-16 18:53:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.